Summary: Disk usage analyzer with an ncurses interface
Name: ncdu
Version: 1.20
Release: 1%{?dist}
License: MIT
Group: Applications/File
URL: https://dev.yorhel.nl/ncdu
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://dev.yorhel.nl/download/%{name}-%{version}.tar.gz
# Patches >= 100 are / will be fixed in SCM
BuildRequires: ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Ncdu is a disk usage analyzer with an ncurses interface. It is
designed to find space hogs on a remote server where you don't
have an entire graphical setup available, but it is a useful
tool even on regular desktop systems. Ncdu aims to be fast,
simple and easy to use, and should be able to run in any minimal
POSIX-like environment with ncurses installed.

%prep
%setup -q

%build
%configure
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Apr 22 2024 Simon Matter <simon.matter@invoca.ch> 1.20-1
- upgrade to 1.20

* Tue Sep 12 2023 Simon Matter <simon.matter@invoca.ch> 1.19-1
- upgrade to 1.19

* Mon Feb 13 2023 Simon Matter <simon.matter@invoca.ch> 1.18.1-1
- upgrade to 1.18.1

* Thu Dec 08 2022 Simon Matter <simon.matter@invoca.ch> 1.18-1
- upgrade to 1.18

* Fri Apr 29 2022 Simon Matter <simon.matter@invoca.ch> 1.17-1
- upgrade to 1.17

* Sat Jul 03 2021 Simon Matter <simon.matter@invoca.ch> 1.16-1
- upgrade to 1.16

* Mon Jun 29 2020 Simon Matter <simon.matter@invoca.ch> 1.15.1-1
- initial package
